> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Document Template Test

> Send Document Template Test. Requires company-wide document management and applicable subject access.

Not available to API keys yet. It will need `documents:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/send-document-template-test
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/send-document-template-test:
    post:
      operationId: sendDocumentTemplateTest
      summary: Send Document Template Test
      description: >-
        Send Document Template Test. Requires company-wide document management
        and applicable subject access.


        Not available to API keys yet. It will need `documents:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendDocumentTemplateTestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendDocumentTemplateTestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SendDocumentTemplateTestRequest:
      type: object
      properties:
        templateId:
          type: string
          format: uuid
        subjectId:
          type: string
          format: uuid
        requestId:
          type: string
          format: uuid
      required:
        - templateId
        - subjectId
        - requestId
    SendDocumentTemplateTestResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - SENT
            - PENDING_RECONCILIATION
        receiptId:
          type: string
        destination:
          type: string
        roles:
          type: array
          items:
            type: string
            enum:
              - recipient
              - company
      required:
        - status
        - receiptId
        - destination
        - roles
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
